Subject: Re: [PATCH] powerpc/5200: add GPIO functions for simple interrupt GPIOs

From: Anatolij Gustschin <[email-masked]>
Date: Sat, 9 Jul 2011 12:14:09 +0200

On Wed, 6 Jul 2011 11:52:45 -0600
Grant Likely <[email-masked]> wrote:

> On Mon, May 23, 2011 at 11:25:30AM +0200, Anatolij Gustschin wrote:
> > The mpc52xx_gpio driver currently supports 8 wakeup GPIOs and 32
> > simple GPIOs. Extend it to also support GPIO function of 8 simple
> > interrupt GPIOs controlled in the standard GPIO register module.
> > 
> > Signed-off-by: Anatolij Gustschin <[email-masked]>
> > ---
> >  arch/powerpc/platforms/52xx/mpc52xx_gpio.c |  117 ++++++++++++++++++++++++++++
> 
> I don't want to merge more open coded MMIO gpio driver code.  This whole driver really needs to be converted to use GENERIC_GPIO.

I'm not sure I understand what you mean. Do you mean
the conversion to drop of_mm_* stuff?

Thanks,
Anatolij